#ifndef SERVERCONN_H
#define SERVERCONN_H

#include <QObject>
#include <QtNetwork>
#include <QEventLoop>
#include <QTimer>
#include <QUrl>

class ServerConn : public QObject
{
    Q_OBJECT
public:
    explicit ServerConn(QObject *parent = nullptr);

private:
    QVariantMap senddata(QUrl serviceUrl, QUrlQuery pdata = QUrlQuery());

signals:

public slots:

    QVariant getCalendar(QString nation, int year);
    QVariant getRanking(int competitionId, int categoryId, bool registrationData = false, bool rankingData = false, const int routeNumber = -2);

};

#endif // SERVERCONN_H
