import QtQuick 2.0
import QtQuick.Controls 2.4

import "../Components"

Page {
    id: root

    title: "start"

    Grid {
        id: menuGr

        anchors.centerIn: parent

        rows: app.landscape() ? 1:3
        columns:  app.landscape() ? 3:1

        spacing: app.landscape() ? parent.height * 0.1:parent.width * 0.1

        property int buttonSize: app.landscape() ? parent.width * 0.2:parent.height * 0.2

        FancyButton {
            id: ifscBt

            height: menuGr.buttonSize
            width: height

            image: "qrc:/icons/ifsc.png"

            onClicked: {
                app.openCalendar("")
            }

        }

        FancyButton {
            id: davBt

            height: menuGr.buttonSize
            width: height

            image: "qrc:/icons/dav.png"

            onClicked: {
                app.openCalendar("GER")
            }

        }

        FancyButton {
            id: sacBt

            height: menuGr.buttonSize
            width: height

            image: "qrc:/icons/sac.png"

            onClicked: {
                app.openCalendar("SUI")
            }

        }

    }

}
